// gnome.xonotic.in.ua

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc gl_one gl_one
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/liquids/protolava
{
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/protolava2.tga
		tcmod scale .2 .2
		tcmod scroll .04 .03
		tcmod turb 0 .1 0 .01
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/liquids/protolava.tga
		blendfunc blend
		tcmod turb 0 .2 0 .1
	}
}

textures/swelt_evil8_base/e8metal03c_shiney
{
	qer_editorimage textures/swelt_evil8_base/e8metal03c.tga
	{
		map textures/effects/tinfx.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/swelt_evil8_base/e8metal03c.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/swelt_evil8_floor/e8clangfloor03
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor03.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/swelt_evil8_floor/e8clangfloor04
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor04.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/swelt_evil8_floor/e8clangfloor04warn
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor04warn.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/swelt_evil8_floor/e8clangfloor05b
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8clangfloor05b.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/swelt_evil8_floor/e8warn2steplight
{
	qer_editorimage textures/swelt_evil8_floor/e8warn2steplight.tga
	q3map_lightimage textures/swelt_evil8_floor/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/swelt_evil8_floor/e8warn2steplight.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_floor/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_fx/e8_jumppad02
{
	q3map_lightimage textures/swelt_evil8_fx/e8_jumppad02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/swelt_evil8_fx/e8_jumppad02.tga
		rgbgen identity
	}
	{
		map textures/swelt_evil8_fx/e8_jumppad02_fx.tga
		blendfunc add
		tcmod rotate 360
		tcmod stretch sin 1 0.8 1 0.4
	}
	{
		map textures/swelt_evil8_fx/e8_jumppad02.tga
		blendfunc add
		rgbgen identity
	}
	{
		map textures/swelt_evil8_fx/e8_jumppad02.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/swelt_evil8_fx/e8spawn01b
{
	{
		map textures/sfx/proto_zzztblu2.tga
		rgbgen identity
		tcmod turb 0 0.5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
	}
	{
		map textures/swelt_evil8_fx/e8spawn01b.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/swelt_evil8_lights/e8_rlightb
{
	qer_editorimage textures/swelt_evil8_lights/e8_rlightb.tga
	q3map_lightimage textures/swelt_evil8_lights/e8_rlightb.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/swelt_evil8_lights/e8_rlightb.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_lights/e8_rlightb.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_lights/e8_rlightb2
{
	qer_editorimage textures/swelt_evil8_lights/e8_rlightb2.tga
	q3map_lightimage textures/swelt_evil8_lights/e8_rlightb2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/swelt_evil8_lights/e8_rlightb2.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_lights/e8_rlightb2.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_trim/e8lighttrim_static
{
	qer_editorimage textures/swelt_evil8_trim/e8lighttrim.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/swelt_evil8_trim/e8lighttrim.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_trim/e8lighttrim.blend.tga
		blendfunc add
	}
}

textures/swelt_evil8_trim/e8trimlight2_blue
{
	qer_editorimage textures/swelt_evil8_trim/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/swelt_evil8_trim/e8trimlight2_blue.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_trim/e8trimlight2_blue.blend.tga
		blendfunc add
		tcmod scroll -0.7 0
	}
}

textures/swelt_evil8_trim/e8trimlight2_red
{
	qer_editorimage textures/swelt_evil8_trim/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/swelt_evil8_trim/e8trimlight2_red.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/swelt_evil8_trim/e8trimlight2_red.blend.tga
		blendfunc add
		tcmod scroll -0.7 0
	}
}

textures/swelt_ice/iceflow_skybox
{
	qer_editorimage textures/swelt_ice/iceflow_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 0.266383 0.274632 0.358662 150 60 85
	skyparms env/swelt_ice/iceflow - -
}

textures/swelt_majestic/promode_logo
{
	qer_editorimage textures/swelt_majestic/cpmlogo.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm pointlight
	cull disable
	nopicmip
	qer_trans 0.4
	{
		map textures/swelt_majestic/cpmlogo.tga
		blendfunc blend
		rgbgen vertex
		depthwrite
	}
}

textures/swelt_majestic/q1_tele
{
	qer_editorimage textures/swelt_majestic/q1_tele.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	tesssize 128
	q3map_surfacelight 25
	{
		map textures/swelt_majestic/q1_tele.tga
		rgbgen identity
		tcmod turb 0 0.3 0 0.2
	}
	{
		map textures/effects/envmap.tga
		rgbgen identity
		tcgen environment
	}
	{
		map textures/swelt_majestic/q1_tele.tga
		blendfunc blend
		rgbgen identity
		tcmod turb 0 0.3 0 0.2
	}
}

